# -*- encoding: utf-8 -*-
# stub: brakeman-lib 5.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "brakeman-lib".freeze
  s.version = "5.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/presidentbeef/brakeman/issues", "changelog_uri" => "https://github.com/presidentbeef/brakeman/releases", "documentation_uri" => "https://brakemanscanner.org/docs/", "homepage_uri" => "https://brakemanscanner.org/", "mailing_list_uri" => "https://gitter.im/presidentbeef/brakeman", "source_code_uri" => "https://github.com/presidentbeef/brakeman", "wiki_uri" => "https://github.com/presidentbeef/brakeman/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Justin Collins".freeze]
  s.date = "2021-10-28"
  s.description = "Brakeman detects security vulnerabilities in Ruby on Rails applications via static analysis. This package declares gem dependencies instead of bundling them.".freeze
  s.email = "gem@brakeman.org".freeze
  s.executables = ["brakeman".freeze]
  s.files = ["bin/brakeman".freeze]
  s.homepage = "http://brakemanscanner.org".freeze
  s.licenses = ["Brakeman Public Use License".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Security vulnerability scanner for Ruby on Rails.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest-ci>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov-html>.freeze, ["= 0.10.2"])
    s.add_runtime_dependency(%q<parallel>.freeze, ["~> 1.20"])
    s.add_runtime_dependency(%q<ruby_parser>.freeze, ["~> 3.18"])
    s.add_runtime_dependency(%q<ruby_parser-legacy>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<sexp_processor>.freeze, ["~> 4.7"])
    s.add_runtime_dependency(%q<ruby2ruby>.freeze, ["~> 2.4.0"])
    s.add_runtime_dependency(%q<safe_yaml>.freeze, [">= 1.0"])
    s.add_runtime_dependency(%q<terminal-table>.freeze, ["~> 1.4"])
    s.add_runtime_dependency(%q<highline>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<erubis>.freeze, ["~> 2.6"])
    s.add_runtime_dependency(%q<haml>.freeze, ["~> 5.1"])
    s.add_runtime_dependency(%q<slim>.freeze, [">= 1.3.6", "<= 4.1"])
    s.add_runtime_dependency(%q<rexml>.freeze, ["~> 3.0"])
  else
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<minitest-ci>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov-html>.freeze, ["= 0.10.2"])
    s.add_dependency(%q<parallel>.freeze, ["~> 1.20"])
    s.add_dependency(%q<ruby_parser>.freeze, ["~> 3.18"])
    s.add_dependency(%q<ruby_parser-legacy>.freeze, ["~> 1.0"])
    s.add_dependency(%q<sexp_processor>.freeze, ["~> 4.7"])
    s.add_dependency(%q<ruby2ruby>.freeze, ["~> 2.4.0"])
    s.add_dependency(%q<safe_yaml>.freeze, [">= 1.0"])
    s.add_dependency(%q<terminal-table>.freeze, ["~> 1.4"])
    s.add_dependency(%q<highline>.freeze, ["~> 2.0"])
    s.add_dependency(%q<erubis>.freeze, ["~> 2.6"])
    s.add_dependency(%q<haml>.freeze, ["~> 5.1"])
    s.add_dependency(%q<slim>.freeze, [">= 1.3.6", "<= 4.1"])
    s.add_dependency(%q<rexml>.freeze, ["~> 3.0"])
  end
end
